Hooks:Add("LocalizationManagerPostInit", "CSBC_loc", function(...)		
	LocalizationManager:add_localized_strings({
		menu_CSBC = "Customizable Semtex Beep",
		CSBC_r_title = "Red",
		CSBC_r_desc = "",
		CSBC_g_title = "Green",
		CSBC_g_desc = "",
		CSBC_b_title = "Blue",
		CSBC_b_desc = "",
		CSBC_range_title = "Beep range",
		CSBC_range_desc = "",
})
end)

_G.CSBC = _G.CSBC or {}
CSBC._mod_path = CSBC._mod_path or ModPath
CSBC._setting_path = SavePath .. "CSBC.json"
CSBC.settings = CSBC.settings or {}
function CSBC:Save()
	local file = io.open(self._setting_path, "w+")
	if file then
		file:write(json.encode(self.settings))
		file:close()
	end
end

function CSBC:Load()
	local file = io.open(self._setting_path, "r")
	if file then
		for k, v in pairs(json.decode(file:read("*all")) or {}) do
			self.settings[k] = v
		end
		file:close()
	else
		self.settings = {
			CSBC_r = 0,
			CSBC_g = 0,
			CSBC_b = 255,
			CSBC_range = 300
		}
		self:Save()
	end
end

Hooks:Add("MenuManagerInitialize", "MenuManagerInitialize_CSBC", function(...)
	CSBC:Load()
	MenuHelper:LoadFromJsonFile(CSBC._mod_path .. "options.json", CSBC, CSBC.settings)
end)

Hooks:Add("MenuManagerBuildCustomMenus", "MenuManagerBuildCustomMenusCSBC", function(menu_manager, nodes)
	function MenuCallbackHandler:set_CSBC_r_callback(item)
		CSBC.settings.CSBC_r = tonumber(item:value())
		CSBC:Save()
	end
	
	function MenuCallbackHandler:set_CSBC_g_callback(item)
		CSBC.settings.CSBC_g = tonumber(item:value())
		CSBC:Save()
	end
	
	function MenuCallbackHandler:set_CSBC_b_callback(item)
		CSBC.settings.CSBC_b = tonumber(item:value())
		CSBC:Save()
	end
	
	function MenuCallbackHandler:set_CSBC_range_callback(item)
		CSBC.settings.CSBC_range = tonumber(item:value())
		CSBC:Save()
	end
	

	local menu_id = "CSBC_options"
	MenuHelper:NewMenu(menu_id)

	MenuHelper:AddSlider({
		id = "CSBC_r",
		title = "CSBC_r_title",
		desc = "CSBC_r_desc",
		callback = "set_CSBC_r_callback",
		value = CSBC.settings.CSBC_r,
		max = 255,
		min = 0,
		step = 1,
		show_value = true,
		menu_id = menu_id,
		priority = 3
	})
	
	MenuHelper:AddSlider({
		id = "CSBC_g",
		title = "CSBC_g_title",
		desc = "CSBC_g_desc",
		callback = "set_CSBC_g_callback",
		value = CSBC.settings.CSBC_g,
		max = 255,
		min = 0,
		step = 1,
		show_value = true,
		menu_id = menu_id,
		priority = 2
	})
	
	MenuHelper:AddSlider({
		id = "CSBC_b",
		title = "CSBC_b_title",
		desc = "CSBC_b_desc",
		callback = "set_CSBC_b_callback",
		value = CSBC.settings.CSBC_b,
		max = 255,
		min = 0,
		step = 1,
		show_value = true,
		menu_id = menu_id,
		priority = 1
	})
	
	MenuHelper:AddSlider({
		id = "CSBC_range",
		title = "CSBC_range_title",
		desc = "CSBC_range_desc",
		callback = "set_CSBC_range_callback",
		value = CSBC.settings.CSBC_range,
		max = 1500,
		min = 0,
		step = 50,
		show_value = true,
		menu_id = menu_id,
		priority = 4
	})
	

	nodes[menu_id] = MenuHelper:BuildMenu(menu_id)

	MenuHelper:AddMenuItem(nodes["blt_options"], menu_id, "menu_CSBC")
end)

function CSBC:Tweaks(data)
CSBC:Load()
tweak_data.projectiles.sticky_grenade.warning_data.light_data.color = Vector3(CSBC.settings.CSBC_r, CSBC.settings.CSBC_g, CSBC.settings.CSBC_b)
tweak_data.projectiles.sticky_grenade.warning_data.light_data.range = CSBC.settings.CSBC_range

end

CSBC:Tweaks(data)